Commit Graph

13453 Commits

Author SHA1 Message Date
Stig Bakken
d4dfead250 * Added "-s" (soft update) option to install/upgrade. Will make installs
fail silently.
2002-04-02 09:21:48 +00:00
Stig Bakken
f8fc50b922 * add Frontend support to PEAR_Common::log() 2002-04-02 09:21:08 +00:00
Stig Bakken
dfa3b671f7 * Implemented "shell-test" command for writing shell scripts that check
whether a package is installed.  Example of use:

    if ! pear shell-test Net_Socket; then
        echo "You don't have the Net_Socket package installed!" >&2
        exit 1
    fi
2002-04-02 09:20:28 +00:00
Stig Bakken
9de06e3662 * just renaming some comments 2002-04-02 09:18:07 +00:00
Stig Bakken
7ddaefba34 * add type property telling what type of frontend this class implements 2002-04-02 09:15:51 +00:00
Stig Bakken
812d9bf3c4 * remove "exit" at the end, it causes a "false" exit code always 2002-04-02 09:10:23 +00:00
Stig Bakken
990d19aefe * comment out the php files that are not necessary for the installer
# the rest will show up as packages in /pear shortly
2002-04-02 09:09:41 +00:00
Derick Rethans
f71adad3cf - Whitespace 2002-04-02 06:41:23 +00:00
James Cox
99a68d4f83 just did... 2002-04-02 01:35:45 +00:00
James Cox
f3d107a180 updated the alert sent to the browser. removed the verbosity, and linked to more info. 2002-04-02 01:34:15 +00:00
da56fd7624 NEWS update 2002-04-02 01:19:24 +00:00
f98ac64101 ChangeLog update 2002-04-02 01:18:51 +00:00
foobar
8d151063d3 Be a bit more verbose about what was not found. 2002-04-02 00:04:53 +00:00
foobar
46d42968a4 Fix for bug: #5499 (no need to MFH this one) 2002-04-01 23:25:48 +00:00
foobar
bccfe80480 Prevent crashing with some bogus POSTs. 2002-04-01 23:02:16 +00:00
Tomas V.V.Cox
750ca4295e typo 2002-04-01 19:17:59 +00:00
Tomas V.V.Cox
b57e0609ad Added layer checks and reorganize a little the code 2002-04-01 19:16:01 +00:00
Tomas V.V.Cox
49dacbee8c - Define the PEAR constants when they are not set (be nice
with the "--wihout-pear" people who finally regrets)
- Added method getLayers()
2002-04-01 19:13:37 +00:00
Tomas V.V.Cox
6ec8fbc30e - Make "config-set" actually store the values
- Help and error messages enhance
2002-04-01 18:19:45 +00:00
Tomas V.V.Cox
827334cd2f - Added "nodeps" option to install/upgrade/uninstall
(pear install -n package.tgz)
- Finish to document the install commands
2002-04-01 17:25:42 +00:00
Kirill Maximov
33ed30fce8 (PHP quoted_printable_decode) Fixed CR/LF processing for Windows/OS2
@ Fixed CR/LF processing for Windows/OS2 in quoted_printable_decode (kir)
2002-04-01 17:03:01 +00:00
Tomas V.V.Cox
def4a8485d - Set some php.ini values needed by the installer
- Removed unused present_array() and heading() functions
2002-04-01 16:49:19 +00:00
Tomas V.V.Cox
7b68037886 People reported problems with flock(LOCK_SH) and fopen('w') 2002-04-01 16:10:39 +00:00
Tomas V.V.Cox
6e8268e4a4 added help 2002-04-01 15:23:46 +00:00
Tomas V.V.Cox
1924492aed Adaptation for the new help system 2002-04-01 14:35:08 +00:00
Tomas V.V.Cox
edab1197f3 Go with the help system 2002-04-01 14:32:40 +00:00
Stig Bakken
0c7f16bd96 * typo 2002-04-01 14:15:30 +00:00
Derick Rethans
f4447a9cc1 - Fix for bug #14966 2002-04-01 09:19:57 +00:00
Markus Fischer
700b9eb734 - Nuke *FETCH macros. 2002-04-01 08:05:17 +00:00
Marcus Boerger
0fd732214a #cleanup source 2002-04-01 03:15:57 +00:00
Mark L. Woodward
3828c26a8d PHP_SESSION_API not always defined. 2002-04-01 01:38:53 +00:00
d92c9f73c3 ChangeLog update 2002-04-01 01:18:47 +00:00
Markus Fischer
ab2194d1da - Fix compilation.
# Marcus, could you please fix the whitespace in this file?
2002-03-31 23:00:31 +00:00
Tomas V.V.Cox
460eb1103c E_ALL fix 2002-03-31 19:04:53 +00:00
Tomas V.V.Cox
ed450a6c4e if (!function_exists('md5_file')) { ... 2002-03-31 19:04:26 +00:00
foobar
6214164d28 Fixed the build issues reported by Stas. 2002-03-31 15:41:24 +00:00
foobar
63ec2d9ff7 missing .cvsignore 2002-03-31 15:39:33 +00:00
Stanislav Malyshev
ee3a873863 Fix ZE2 builds 2002-03-31 13:02:36 +00:00
Mark L. Woodward
f83d005d46 Fixed conditional compilation based on macros changed in
ext/session/php_session.h which changed.
2002-03-31 05:38:10 +00:00
Stig Bakken
561ac3d54e * E_ALL fix 2002-03-31 03:16:02 +00:00
Stig Bakken
f1c803a41c * avoid object copying 2002-03-31 01:51:08 +00:00
Stig Bakken
5e13ee1428 * oops, config object was copied
* call parameters were not passed on to xmlrpc_encode_request()
2002-03-31 01:45:36 +00:00
Yasuo Ohgaki
266692a59a Print multibyte and SSL support is compiled in libpq or not. 2002-03-31 01:45:22 +00:00
3e67ad4dfa ChangeLog update 2002-03-31 01:19:42 +00:00
Yasuo Ohgaki
7ff1412432 Print PostgreSQL version number in phpinfo() 2002-03-31 01:18:32 +00:00
Stig Bakken
c5d35962d2 * install PEAR/Command/Remote.php 2002-03-31 00:32:00 +00:00
Stig Bakken
03c82d38ef * added sys/utsname.h test 2002-03-30 23:44:50 +00:00
Rasmus Lerdorf
9c57dffecd Looks like mawk can't handle create_stubs - if someone is keen it would be
nice to fix that, but for now just make a note that gawk may be needed.
2002-03-30 16:44:56 +00:00
Sascha Schumann
3a3acee3c9 - Proper use of underscores (s/createsid/create_sid/)
- Bump the API date and remove extra cpp macro
- Pass TSRMLS appropiately to the create_sid function
2002-03-30 16:29:15 +00:00
Marcus Boerger
e4f4386758 -compiler warnings 2002-03-30 14:28:05 +00:00